LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::animations::AnimationRestart Constant Group Reference

defines the restart behavior More...

## Variables
const short | DEFAULT = 0
| The restart behavior for the element is determined by the value of the XTiming::RestartDefault attribute. More...
const short | INHERIT = 0
| Specifies that the value of this attribute (and of the restart behavior) are inherited from the XTiming::RestartDefault value of the parent element. More...
const short | ALWAYS = 1
| The element can be restarted at any time. More...
const short | WHEN_NOT_ACTIVE = 2
| The element can only be restarted when it is not active (i.e. More...
const short | NEVER = 3
| The element cannot be restarted for the remainder of the current simple duration of the parent time container. More...

## Detailed Description

defines the restart behavior

See also
  XTiming::Restart
  XTiming::RestartDefault
  http://www.w3.org/TR/smil20/smil-timing.html#adef-restart

## Variable Documentation

## ◆ ALWAYS

const short ALWAYS = 1

The element can be restarted at any time.

## ◆ DEFAULT

const short DEFAULT = 0

The restart behavior for the element is determined by the value of the XTiming::RestartDefault attribute.

This is the default value for the XTiming::Restart attribute.

## ◆ INHERIT

const short INHERIT = 0

Specifies that the value of this attribute (and of the restart behavior) are inherited from the XTiming::RestartDefault value of the parent element.

If there is no parent element, the value is AnimationRestart::ALWAYS. This is the default value for the XTiming::RestartDefault attribute.

## ◆ NEVER

const short NEVER = 3

The element cannot be restarted for the remainder of the current simple duration of the parent time container.

## ◆ WHEN_NOT_ACTIVE

const short WHEN_NOT_ACTIVE = 2

The element can only be restarted when it is not active (i.e.

it can be restarted after the active end). Attempts to restart the element during its active duration are ignored.